# Delete

Launch stage: GA

`POST /api/2.0/secrets/delete`

Deletes the secret stored in this secret scope. You must have ``WRITE`` or ``MANAGE``
 permission on the Secret Scope.

 Example request:

 .. code::

    {
        "scope": "my-secret-scope",
        "key": "my-secret-key"
    }

 Throws ``RESOURCE_DOES_NOT_EXIST`` if no such secret scope or secret exists.
 Throws ``PERMISSION_DENIED`` if the user does not have permission to make this API call.
 Throws ``BAD_REQUEST`` if system user attempts to delete an internal secret, or request is made against Azure KeyVault backed scope.

API scopes: secrets

## Request body

- `scope` (string, optional)
  The name of the scope that contains the secret to delete.
- `key` (string, optional)
  Name of the secret to delete.

## Response

```json
{}
```

